#include "display_joystick.h"
#include "text.h"

int main( void )
{
  initialize();
  
  int position = 0;
  
  while(true)
  {
    // Finde Wortende, also das nchste Leerzeichen
    int positionLZ = position + 2;
    while(text[positionLZ] != ' ')
    {
      positionLZ++;
    }
    
    // Wort ggf. splitten; Teile anzeigen
    do
    {
      char anzeige[] = "        ";
      int anzeigeLaenge = positionLZ - position;
      int anfang = 0; // zur Zentrierung
      if(anzeigeLaenge <= 8) // passt auf Display
      {
        anfang = 4 - anzeigeLaenge/2;
      }
      else // zu lang
      { 
        anzeigeLaenge = 7;
        anzeige[7] = '-';
      }
      for(int i = 0; i < anzeigeLaenge; i++)
      {
        anzeige[i + anfang] = text[i + position];
      }
      writeString(anzeige);
      for(int i = 0; i < 250 - readAnalog(0)/5; i++)
      {
        waitOneMillisecond();
      }
      position += anzeigeLaenge; 
    }
    while(positionLZ - position > 0);
    
    // zum nchten Wort
    position = positionLZ + 1;
    
    // am Ende des Text wieder zum Anfang springen
    if(text[positionLZ + 1] == '#')
    {
      position = 0;
    }
  }
  //return 0;
}